## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class EventType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.EventType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class EventType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Event Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getEventType()`, Serialized Form

Field Summary
`static int` `BACKUPEND` The 'BACKUPEND' literal value.
`static EventType` `BACKUPEND_LITERAL` The 'BACKUPEND' literal object.
`static int` `CONNECT` The 'CONNECT' literal value.
`static EventType` `CONNECT_LITERAL` The 'CONNECT' literal object.
`static int` `CONNECTFAILED` The 'CONNECTFAILED' literal value.
`static EventType` `CONNECTFAILED_LITERAL` The 'CONNECTFAILED' literal object.
`static int` `DATABASESTART` The 'DATABASESTART' literal value.
`static EventType` `DATABASESTART_LITERAL` The 'DATABASESTART' literal object.
`static int` `DBDISKSPACE` The 'DBDISKSPACE' literal value.
`static EventType` `DBDISKSPACE_LITERAL` The 'DBDISKSPACE' literal object.
`static int` `DISCONEECT` The 'DISCONEECT' literal value.
`static EventType` `DISCONEECT_LITERAL` The 'DISCONEECT' literal object.
`static int` `GLOBALAUTOINCREMENT` The 'GLOBALAUTOINCREMENT' literal value.
`static EventType` `GLOBALAUTOINCREMENT_LITERAL` The 'GLOBALAUTOINCREMENT' literal object.
`static int` `GROWDB` The 'GROWDB' literal value.
`static EventType` `GROWDB_LITERAL` The 'GROWDB' literal object.
`static int` `GROWLOG` The 'GROWLOG' literal value.
`static EventType` `GROWLOG_LITERAL` The 'GROWLOG' literal object.
`static int` `GROWTEMP` The 'GROWTEMP' literal value.
`static EventType` `GROWTEMP_LITERAL` The 'GROWTEMP' literal object.
`static int` `LOGDISKSPACE` The 'LOGDISKSPACE' literal value.
`static EventType` `LOGDISKSPACE_LITERAL` The 'LOGDISKSPACE' literal object.
`static int` `NOEVENTTYPE` The 'NOEVENTTYPE' literal value.
`static EventType` `NOEVENTTYPE_LITERAL` The 'NOEVENTTYPE' literal object.
`static int` `RAISERROR` The 'RAISERROR' literal value.
`static EventType` `RAISERROR_LITERAL` The 'RAISERROR' literal object.
`static int` `SERVERIDLE` The 'SERVERIDLE' literal value.
`static EventType` `SERVERIDLE_LITERAL` The 'SERVERIDLE' literal object.
`static int` `TEMPDISKSPACE` The 'TEMPDISKSPACE' literal value.
`static EventType` `TEMPDISKSPACE_LITERAL` The 'TEMPDISKSPACE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Event Type' enumerators.

Method Summary
`static EventType` `get(int value)` Returns the 'Event Type' literal with the specified integer value.
`static EventType` `get(java.lang.String literal)` Returns the 'Event Type' literal with the specified literal value.
`static EventType` `getByName(java.lang.String name)` Returns the 'Event Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOEVENTTYPE

    public static final int NOEVENTTYPE

  The 'NOEVENTTYPE' literal value.

  If the meaning of 'NOEVENTTYPE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOEVENTTYPE_LITERAL`, Constant Field Values

### BACKUPEND

    public static final int BACKUPEND

  The 'BACKUPEND' literal value.

  If the meaning of 'BACKUPEND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BACKUPEND_LITERAL`, Constant Field Values

### CONNECT

    public static final int CONNECT

  The 'CONNECT' literal value.

  If the meaning of 'CONNECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONNECT_LITERAL`, Constant Field Values

### CONNECTFAILED

    public static final int CONNECTFAILED

  The 'CONNECTFAILED' literal value.

  If the meaning of 'CONNECTFAILED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONNECTFAILED_LITERAL`, Constant Field Values

### DATABASESTART

    public static final int DATABASESTART

  The 'DATABASESTART' literal value.

  If the meaning of 'DATABASESTART' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DATABASESTART_LITERAL`, Constant Field Values

### DBDISKSPACE

    public static final int DBDISKSPACE

  The 'DBDISKSPACE' literal value.

  If the meaning of 'DBDISKSPACE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DBDISKSPACE_LITERAL`, Constant Field Values

### DISCONEECT

    public static final int DISCONEECT

  The 'DISCONEECT' literal value.

  If the meaning of 'DISCONEECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DISCONEECT_LITERAL`, Constant Field Values

### GLOBALAUTOINCREMENT

    public static final int GLOBALAUTOINCREMENT

  The 'GLOBALAUTOINCREMENT' literal value.

  If the meaning of 'GLOBALAUTOINCREMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GLOBALAUTOINCREMENT_LITERAL`, Constant Field Values

### GROWDB

    public static final int GROWDB

  The 'GROWDB' literal value.

  If the meaning of 'GROWDB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GROWDB_LITERAL`, Constant Field Values

### GROWLOG

    public static final int GROWLOG

  The 'GROWLOG' literal value.

  If the meaning of 'GROWLOG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GROWLOG_LITERAL`, Constant Field Values

### GROWTEMP

    public static final int GROWTEMP

  The 'GROWTEMP' literal value.

  If the meaning of 'GROWTEMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GROWTEMP_LITERAL`, Constant Field Values

### LOGDISKSPACE

    public static final int LOGDISKSPACE

  The 'LOGDISKSPACE' literal value.

  If the meaning of 'LOGDISKSPACE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOGDISKSPACE_LITERAL`, Constant Field Values

### RAISERROR

    public static final int RAISERROR

  The 'RAISERROR' literal value.

  If the meaning of 'RAISERROR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RAISERROR_LITERAL`, Constant Field Values

### SERVERIDLE

    public static final int SERVERIDLE

  The 'SERVERIDLE' literal value.

  If the meaning of 'SERVERIDLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SERVERIDLE_LITERAL`, Constant Field Values

### TEMPDISKSPACE

    public static final int TEMPDISKSPACE

  The 'TEMPDISKSPACE' literal value.

  If the meaning of 'TEMPDISKSPACE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEMPDISKSPACE_LITERAL`, Constant Field Values

### NOEVENTTYPE_LITERAL

    public static final EventType NOEVENTTYPE_LITERAL

  The 'NOEVENTTYPE' literal object.

  See Also:
    `NOEVENTTYPE`

### BACKUPEND_LITERAL

    public static final EventType BACKUPEND_LITERAL

  The 'BACKUPEND' literal object.

  See Also:
    `BACKUPEND`

### CONNECT_LITERAL

    public static final EventType CONNECT_LITERAL

  The 'CONNECT' literal object.

  See Also:
    `CONNECT`

### CONNECTFAILED_LITERAL

    public static final EventType CONNECTFAILED_LITERAL

  The 'CONNECTFAILED' literal object.

  See Also:
    `CONNECTFAILED`

### DATABASESTART_LITERAL

    public static final EventType DATABASESTART_LITERAL

  The 'DATABASESTART' literal object.

  See Also:
    `DATABASESTART`

### DBDISKSPACE_LITERAL

    public static final EventType DBDISKSPACE_LITERAL

  The 'DBDISKSPACE' literal object.

  See Also:
    `DBDISKSPACE`

### DISCONEECT_LITERAL

    public static final EventType DISCONEECT_LITERAL

  The 'DISCONEECT' literal object.

  See Also:
    `DISCONEECT`

### GLOBALAUTOINCREMENT_LITERAL

    public static final EventType GLOBALAUTOINCREMENT_LITERAL

  The 'GLOBALAUTOINCREMENT' literal object.

  See Also:
    `GLOBALAUTOINCREMENT`

### GROWDB_LITERAL

    public static final EventType GROWDB_LITERAL

  The 'GROWDB' literal object.

  See Also:
    `GROWDB`

### GROWLOG_LITERAL

    public static final EventType GROWLOG_LITERAL

  The 'GROWLOG' literal object.

  See Also:
    `GROWLOG`

### GROWTEMP_LITERAL

    public static final EventType GROWTEMP_LITERAL

  The 'GROWTEMP' literal object.

  See Also:
    `GROWTEMP`

### LOGDISKSPACE_LITERAL

    public static final EventType LOGDISKSPACE_LITERAL

  The 'LOGDISKSPACE' literal object.

  See Also:
    `LOGDISKSPACE`

### RAISERROR_LITERAL

    public static final EventType RAISERROR_LITERAL

  The 'RAISERROR' literal object.

  See Also:
    `RAISERROR`

### SERVERIDLE_LITERAL

    public static final EventType SERVERIDLE_LITERAL

  The 'SERVERIDLE' literal object.

  See Also:
    `SERVERIDLE`

### TEMPDISKSPACE_LITERAL

    public static final EventType TEMPDISKSPACE_LITERAL

  The 'TEMPDISKSPACE' literal object.

  See Also:
    `TEMPDISKSPACE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Event Type' enumerators.

Method Detail

### get

    public static EventType get(java.lang.String literal)

  Returns the 'Event Type' literal with the specified literal value.

### getByName

    public static EventType getByName(java.lang.String name)

  Returns the 'Event Type' literal with the specified name.

### get

    public static EventType get(int value)

  Returns the 'Event Type' literal with the specified integer value.